---
layout: markdown_page
title: "Category Direction - DORA Metrics"
description: "GitLab's out-of-the-box DORA metrics help software leaders to track development teams' improvements, understand patterns, trends and compare performance between groups and projects."
canonical_path: "/direction/plan/dora_metrics/"
---

- TOC
{:toc}

| Category | **DORA Metrics** |
| --- | --- |
| Stage | [Plan](https://about.gitlab.com/handbook/product/categories/#plan-stage) |
| Group | [Optimize](https://about.gitlab.com/handbook/product/categories/#optimize-group) |
| Maturity | [Minimal](/direction/maturity/) |
| Content Last Reviewed | `2023-01-29` |

### Contributing
Thanks for visiting the DORA Metrics direction page. This page is actively maintained by the [Optimize group](https://about.gitlab.com/handbook/product/categories/#optimize-group). You can contribute or provide feedback by:

1. Posting questions and comments in the [public epic](https://gitlab.com/groups/gitlab-org/-/epics/8325).
1. Finding issues in this category that are labeled "Seeking community contributions".

### Overview

<%= partial("direction/plan/dora_metrics/templates/overview") %>

### Vision

GitLab will be the tool of choice for the data-driven DevOps organization — enabling teams and managers to understand all aspects of productivity, quality, and delivery without any complex configurations or data scientists.

### Who are we focusing on?

For DORA Metrics, we are targeting the following personas (in priority order):
1. [Dakota (Application Development Director)](https://about.gitlab.com/handbook/product/personas/#dakota-application-development-director)
2. [Erin (Application Development Executive)](https://about.gitlab.com/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/roles-personas/buyer-persona/)
3. [Delaney (Development Team Lead)](https://about.gitlab.com/handbook/product/personas/#delaney-development-team-lead)
4. [Parker (Product Manager)](https://about.gitlab.com/handbook/product/personas/#parker-product-manager)


### Recent accomplishments

- New [Solutions Page for DORA](https://about.gitlab.com/solutions/value-stream-management/dora).
- Added a pre-defined [DORA report to the default insights configuration file](https://about.gitlab.com/releases/2022/10/22/gitlab-15-5-released/#improve-devops-efficiency-with-the-pre-defined-dora-comparison-report).
- New [Custom DORA reporting](https://about.gitlab.com/releases/2022/08/22/gitlab-15-3-released/#dora-custom-reporting-for-data-driven-software-development-improvements) for tracking metrics improvements, understand patterns in metrics trends, and compare performance between groups and projects
- New [Change failure rate chart](https://about.gitlab.com/releases/2022/07/22/gitlab-15-2-released/#change-failure-rate-chart-for-visualizing-software-stability) for visualizing software stability. This chart shows the percentage of deployments that cause an incident in a production environment. GitLab measures the change failure rate as the number of incidents divided by the number of deployments to a production environment during a given time period.
- New Time to restore service chart - we added a new trend chart for the [DORA Time to restore service](https://docs.gitlab.com/ee/user/analytics/ci_cd_analytics.html#view-time-to-restore-service-chart) metric to provide insights into software stability and reliability trends. This new chart shows information about how long it takes an organization to recover from a failure in production.
- DORA API enhancement - [adding support for multiple includes environments](https://gitlab.com/gitlab-org/gitlab/-/issues/348577)
- [Adding DORA metrics into the Value Stream Analytics](https://gitlab.com/gitlab-org/gitlab/-/issues/359060). We enhanced the visibility into the value stream performance with the [DORA's metrics as the measure of the outputs of the value stream](https://about.gitlab.com/blog/2022/06/20/gitlab-value-stream-management-and-dora/). The four DORA's metrics are now available in the [Value Stream Analytics](https://docs.gitlab.com/ee/user/group/value_stream_analytics) Overview metrics dashboard:

<iframe width="560" height="315" src="https://www.youtube.com/embed/wQU-mWvNSiI" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- [Support 4 DORA metrics in GitLab](https://docs.gitlab.com/ee/user/analytics/#supported-dora-metrics-in-gitlab):

<iframe width="560" height="315" src="https://www.youtube.com/embed/_EKW0eg3n4E" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### What's next and why

<%= partial("direction/plan/dora_metrics/templates/next") %>

### Goals

In order to reach our vision we will focus on:

#### Near-Term Goals 

- Add a new [Value Streams/DORA Dashboard for Executive](https://gitlab.com/groups/gitlab-org/-/epics/9317).
- Usability improvements to the DORA UI.
- [Extend DORA 4 metrics APIs and analytics capabilities](https://gitlab.com/groups/gitlab-org/-/epics/9070)
- Extend [DORA integrations](https://gitlab.com/groups/gitlab-org/-/epics/8334).

#### Mid-Term Goals

- Enable fast analytical queries and deep data analysis by replicating GitLab analytics metrics into a [new data warehouse](https://gitlab.com/groups/gitlab-org/-/epics/9318). 
- Develop and publish best practices for [DORA](https://gitlab.com/groups/gitlab-org/-/epics/4788).


#### Top Vision Item(s)

- Software delivery optimization AI recommendation 
- Provide a DIY data analysis tool

### Jobs to be done

<%= partial("direction/jtbd-list", locals: { stage_key: "Value Stream Management" }) %>

### Maturity plan

This category is currently **Minimal**. Our next step is **Viable** ([see epic](https://gitlab.com/groups/gitlab-org/-/epics/8325#maturity-plan)). You can read more about GitLab's [maturity framework here](https://about.gitlab.com/direction/maturity/).

### Top cross-stage items

- [Measure DORA 4 metrics in GitLab](https://gitlab.com/groups/gitlab-org/-/epics/4358)
- [Customizable issue types](https://gitlab.com/gitlab-org/gitlab/-/issues/118666)
- DORA integration with GitLab [Incidnt tag](https://gitlab.com/gitlab-org/gitlab/-/issues/336026)

## Competitive Analysis

### Why using GitLab for DORA Metrics tracking?

1. Out-of-the-box DORA Insight and Reporting.
2. DORA metrics coupled with GitLab Value Stream Analytics that helps draw insights to make data-driven decisions across the rntire DevOps Lifecycle.
2. The One DevOps Platform - collaborating from planning to production across one platform, with security built-in.
3. Open Source; Everyone Can Contribute. 
4. Deploy Your Software Anywhere.

### Competitive Landscape

#### Digital.ai 

[Digital.ai](https://digital.ai/) AI-Powered DevOps platform.  Digital.ai has been on a multiyear, multiacquisition journey that includes Arxan, CollabNet
VersionOne, Experitest, Numerify, and XebiaLabs. Its plan to be a front-runner in AI-driven software delivery for Global 5000 enterprises.

[XebiaLabs' analytics (acquired by Digital.ai)](https://docs.xebialabs.com/xl-release/concept/release-dashboard-tiles.html) are predominantly focused on the Release Manager and give useful overviews of deployments, issue throughput and stages. The company integrates with JIRA, Jenkins, etc and end users can see in which stage of the release process they are.

#### Plutora
[Plutora Analytics](https://www.plutora.com/platform/plutora-analytics) Plutora is a privately held global software (SaaS) company, providing Value Stream Management solutions for enterprise IT in the areas of Release Management and Orchestration, Test Environment Management, Deployment Management, and Analytics.. Plutora seem to target mainly the release managers with their [Time to Value Dashboard](https://www.plutora.com/platform/time-to-value-dashboard). The company also integrates with JIRA, Jenkins, GitLab, CollabNet VersionOne, etc but there is still a lot of configuration that seems to be left to the user.

#### CloudBees
[CloudBees DevOptics](https://www.cloudbees.com/products/cloudbees-devoptics) is focused on giving visibility and insights to measure, manage and optimize the software delivery value stream. It allows comparisons across teams and integrates with Jenkins and Jira and SVM /VCS solutions.

#### Faros.ai
[Faros.ai](https://www.faros.ai/)

#### Octopus Deploy

[octopus.com](https://octopus.com/company/roadmap)

#### CollabNet VersionOne
[CollabNet VersionOne](https://www.collab.net) provides users with the ability to input a lot of information, which is a double edged sword as it can lead to duplication of effort and stale information when feeds are not automated. It does however, allow a company to visualize project streams from a top level with all their dependencies. End users can also create customizable reports and dashboards that can be shared with senior management.

#### Targetprocess
[Targetprocess](https://www.targetprocess.com) tries to provide a full overview of the delivery process and integrates with Jenkins, GitHub and JIRA. The company also provides customizable dashboards that can give an overview over the process from ideation to delivery.

#### GitPrime
Although [GitPrime](https://www.gitprime.com) doesn't try to provide a value stream management solution, it focuses on productivity metrics and cycle time by looking at the productivity of a team. It uses only git data.

#### Azure DevOps
Naturally, [Azure](https://docs.microsoft.com/en-us/azure/devops/report/dashboards/analytics-widgets?view=azure-devops) is working on adding analytics that can help engineering teams become more effective but it's still in very early stages. It has also recently acquired [PullPanda](https://pullpanda.com).

#### Velocity by Code Climate
Similarly to GitPrime, [Code Climate](https://codeclimate.com/velocity/understand-diagnose/) focuses on the team and uses git data only.

#### Gitalytics
Similarly to GitPrime, [Gitalytics](https://gitalytics.com) focuses on the team and uses git data only.

#### Gitential
[Gitential](https://gitential.com)

#### Gitclear
[Gitclear](https://gitclear.com)

#### Gitlean
[Gitlean](https://gitlean.com)

#### CA Technologies
[CA Agile Central](https://docs.ca.com/en-us/ca-agile-central/saas/iteration-burndown) combines data across the planning process in a single integrated page with custom applications available to CA Agile Central users. The applications can be installed in custom pages within CA Agile Central or on a dashboard.

#### Atlassian's JIRA Align
[Agile Craft](https://agilecraft.com)

#### Sleuth
[Sleuth](https://www.sleuth.io)

#### Jellyfish
[jellyfish.co](https://jellyfish.co/blog/dora-metrics-101/)

#### Harness
[jharness.io](https://harness.io/blog/dora-metrics/)

#### Octopus Deploy

[octopus.com](https://octopus.com/company/roadmap)

#### Apache DevLake

[devlake.apache.org](https://devlake.apache.org/docs/UserManuals/DORA/)

### Analyst Landscape

[Gartner Market Guide for DevOps Value Stream Delivery Platforms](https://about.gitlab.com/analysts/gartner-vsdp21/)

Forrester's New Wave: Value Stream Management Tools, Q3 2018 uncovered an emerging market with no leaders. However, vendors from different niches of the development pipeline are converging to value stream management in response to customers seeking greater transparency into their processes.

Forrester’s vision for VSM includes:
- end-to-end visibility of the software development process, including the corresponding capture and storage of data, events, and artifacts
- definition and visualization of key performance indicators (KPIs)
- inclusive customer experience, which allows multiple roles (PMs, developers, QA, and release managers) to collaborate in one place
- governance, i.e. a framework to monitor compliance to organizational standards, automated audit capabilities, and traceability.

Other Analysts have highlighted that GitLab data gathering has much to offer and much more to mine and enable the insight generation. We have an immediate opportunity to extend the insight generation based on the data gathered in the delivery pipelines. Once this is achieved we will integrate additional data sources beyond the DevOps toolchains.

We have the ability to reach the decision makers that are consuming the insights generated from the GitLab platform, and one of the key elements here is getting beyond the DORA 4 metrics into those that are more specifically targeted: security, compliance, financial, product, but also enterprise architecture, AI/ML delivery teams and the like.

Additional functionality, requested by clients, includes:
- integration with other tools, including the ability to double-click into each tool to directly observe status or take action
- business value custom definitions in terms of financials, time, effort or similar
- mapping of business value, people, processes, data
- visualization dashboards, which users can customize to support different role-based views.


